Http11Protocol (Tomcat API Documentation)
Keywords: org.apache.coyote.http11.Http11Protocol class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.coyote.http11
Class Http11Protocol

    java.lang.Object
      org.apache.coyote.http11.Http11Protocol

All Implemented Interfaces:
  javax.management.MBeanRegistration, ProtocolHandler

    public class Http11Protocol

extends java.lang.Object
implements ProtocolHandler, javax.management.MBeanRegistration

Abstract the protocol implementation, including threading, etc. Processor is single threaded and specific to stream-based protocols, will not fit Jk protocols like JNI.

Author:
  Remy Maucherat, Costin Manolache

Nested Class Summary
`protected static class` | `Http11Protocol.Http11ConnectionHandler`

Field Summary
`protected Adapter` | `adapter` The adapter, used to call the connector.
`protected java.util.HashMap<java.lang.String,java.lang.Object>` | `attributes`
`protected Http11Protocol.Http11ConnectionHandler` | `cHandler`
`protected java.lang.String` | `compressableMimeTypes`
`protected java.lang.String` | `compression` Integrated compression support.
`protected int` | `compressionMinSize`
`protected boolean` | `disableUploadTimeout` If true, the regular socket timeout will be used for the full duration of the connection.
`protected java.lang.String` | `domain`
`protected JIoEndpoint` | `endpoint`
`protected int` | `keepAliveTimeout` The number of seconds Tomcat will wait for a subsequent request before closing the connection.
`protected static Log` | `log`
`protected int` | `maxHttpHeaderSize` Maximum size of the HTTP message header.
`protected int` | `maxKeepAliveRequests` Maximum number of requests which can be performed over a keepalive connection.
`protected int` | `maxSavePostSize` Maximum size of the post which will be saved when processing certain requests, such as a POST.
`protected javax.management.MBeanServer` | `mserver`
`protected java.lang.String` | `noCompressionUserAgents`
`protected javax.management.ObjectName` | `oname`
`protected int` | `processorCache` Processor cache.
`protected java.lang.String` | `restrictedUserAgents` User agents regular expressions which should be restricted to HTTP/1.0 support.
`protected javax.management.ObjectName` | `rgOname`
`protected boolean` | `secure` This field indicates if the protocol is secure from the perspective of the client (= https is used).
`protected java.lang.String` | `server` Server header.
`protected static StringManager` | `sm` The string manager for this package.
`protected int` | `socketBuffer`
`protected ServerSocketFactory` | `socketFactory`
`protected java.lang.String` | `socketFactoryName` Name of the socket factory.
`protected boolean` | `SSLEnabled`
`protected SSLImplementation` | `sslImplementation`
`protected java.lang.String` | `sslImplementationName` Name of the SSL implementation.
`protected int` | `timeout` This timeout represents the socket timeout which will be used while the adapter execution is in progress, unless disableUploadTimeout is set to true.
`protected javax.management.ObjectName` | `tpOname`

Constructor Summary
`Http11Protocol()`

Method Summary
`void` | `destroy()`
`Adapter` | `getAdapter()`
`java.net.InetAddress` | `getAddress()`
`java.lang.String` | `getAlgorithm()`
`java.lang.Object` | `getAttribute(java.lang.String key)`
`java.util.Iterator` | `getAttributeNames()`
`int` | `getBacklog()`
`java.lang.String` | `getCiphers()`
`java.lang.String` | `getClientauth()`
`java.lang.String` | `getCompressableMimeType()`
`java.lang.String` | `getCompression()`
`int` | `getCompressionMinSize()`
`boolean` | `getDisableUploadTimeout()`
`java.lang.String` | `getDomain()`
`java.util.concurrent.Executor` | `getExecutor()`
`boolean` | `getKeepAlive()` Return the Keep-Alive policy for the connection.
`int` | `getKeepAliveTimeout()`
`java.lang.String` | `getKeyAlias()`
`java.lang.String` | `getKeypass()`
`java.lang.String` | `getKeystore()`
`java.lang.String` | `getKeytype()`
`int` | `getMaxHttpHeaderSize()`
`int` | `getMaxKeepAliveRequests()`
`int` | `getMaxSavePostSize()`
`int` | `getMaxThreads()`
`java.lang.String` | `getName()`
`java.lang.String` | `getNoCompressionUserAgents()`
`javax.management.ObjectName` | `getObjectName()`
`int` | `getPort()`
`int` | `getProcessorCache()`
`java.lang.String` | `getProperty(java.lang.String name)` Get a property
`java.lang.String` | `getProtocols()`
`java.lang.String` | `getRestrictedUserAgents()`
`boolean` | `getSecure()`
`java.lang.String` | `getServer()`
`int` | `getSocketBuffer()`
`java.lang.String` | `getSocketFactory()`
`int` | `getSoLinger()`
`int` | `getSoTimeout()`
`java.lang.String` | `getSSLImplementation()`
`boolean` | `getTcpNoDelay()`
`int` | `getThreadPriority()`
`int` | `getTimeout()`
`void` | `init()` Init the protocol.
`boolean` | `isSSLEnabled()`
`void` | `pause()` Pause the protocol (optional).
`void` | `postDeregister()`
`void` | `postRegister(java.lang.Boolean registrationDone)`
`void` | `preDeregister()`
`javax.management.ObjectName` | `preRegister(javax.management.MBeanServer server, javax.management.ObjectName name)`
`void` | `resume()` Resume the protocol (optional).
`void` | `setAdapter(Adapter adapter)` The adapter, used to call the connector.
`void` | `setAddress(java.net.InetAddress ia)`
`void` | `setAlgorithm(java.lang.String k)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Pass config info
`void` | `setBacklog(int backlog)`
`void` | `setCiphers(java.lang.String ciphers)`
`void` | `setClientauth(java.lang.String k)`
`void` | `setCompressableMimeType(java.lang.String valueS)`
`void` | `setCompression(java.lang.String valueS)`
`void` | `setCompressionMinSize(int valueI)`
`void` | `setDisableUploadTimeout(boolean isDisabled)`
`void` | `setExecutor(java.util.concurrent.Executor executor)`
`void` | `setKeepAlive(boolean keepAlive)` Set the keep-alive policy for this connection.
`void` | `setKeepAliveTimeout(int timeout)`
`void` | `setKeyAlias(java.lang.String keyAlias)`
`void` | `setKeypass(java.lang.String k)`
`void` | `setKeystore(java.lang.String k)`
`void` | `setKeytype(java.lang.String k)`
`void` | `setMaxHttpHeaderSize(int valueI)`
`void` | `setMaxKeepAliveRequests(int mkar)`
`void` | `setMaxSavePostSize(int valueI)`
`void` | `setMaxThreads(int maxThreads)`
`void` | `setNoCompressionUserAgents(java.lang.String valueS)`
`void` | `setPort(int port)`
`void` | `setProcessorCache(int processorCache)`
`void` | `setProperty(java.lang.String name, java.lang.String value)` Set a property.
`void` | `setProtocols(java.lang.String k)`
`void` | `setRestrictedUserAgents(java.lang.String valueS)`
`void` | `setSecure(boolean b)`
`void` | `setServer(java.lang.String server)`
`void` | `setSocketBuffer(int socketBuffer)`
`void` | `setSocketFactory(java.lang.String valueS)`
`void` | `setSoLinger(int soLinger)`
`void` | `setSoTimeout(int soTimeout)`
`void` | `setSSLEnabled(boolean SSLEnabled)`
`void` | `setSSLImplementation(java.lang.String valueS)`
`void` | `setTcpNoDelay(boolean tcpNoDelay)`
`void` | `setThreadPriority(int threadPriority)`
`void` | `setTimeout(int timeout)`
`void` | `start()` Start the protocol.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    protected static Log log

### sm

    protected static StringManager sm

  The string manager for this package.

### cHandler

    protected Http11Protocol.Http11ConnectionHandler cHandler

### endpoint

    protected JIoEndpoint endpoint

### tpOname

    protected javax.management.ObjectName tpOname

### rgOname

    protected javax.management.ObjectName rgOname

### socketFactory

    protected ServerSocketFactory socketFactory

### sslImplementation

    protected SSLImplementation sslImplementation

### attributes

    protected java.util.HashMap<java.lang.String,java.lang.Object> attributes

### adapter

    protected Adapter adapter

  The adapter, used to call the connector.

### processorCache

    protected int processorCache

  Processor cache.

### socketBuffer

    protected int socketBuffer

### secure

    protected boolean secure

  This field indicates if the protocol is secure from the perspective of the client (= https is used).

### SSLEnabled

    protected boolean SSLEnabled

### socketFactoryName

    protected java.lang.String socketFactoryName

  Name of the socket factory.

### sslImplementationName

    protected java.lang.String sslImplementationName

  Name of the SSL implementation.

### maxKeepAliveRequests

    protected int maxKeepAliveRequests

  Maximum number of requests which can be performed over a keepalive connection. The default is the same as for Apache HTTP Server.

### keepAliveTimeout

    protected int keepAliveTimeout

  The number of seconds Tomcat will wait for a subsequent request before closing the connection. The default is the same as for Apache HTTP Server (15 000 milliseconds).

### timeout

    protected int timeout

  This timeout represents the socket timeout which will be used while the adapter execution is in progress, unless disableUploadTimeout is set to true. The default is the same as for Apache HTTP Server (300 000 milliseconds).

### maxSavePostSize

    protected int maxSavePostSize

  Maximum size of the post which will be saved when processing certain requests, such as a POST.

### maxHttpHeaderSize

    protected int maxHttpHeaderSize

  Maximum size of the HTTP message header.

### disableUploadTimeout

    protected boolean disableUploadTimeout

  If true, the regular socket timeout will be used for the full duration of the connection.

### compression

    protected java.lang.String compression

  Integrated compression support.

### noCompressionUserAgents

    protected java.lang.String noCompressionUserAgents

### compressableMimeTypes

    protected java.lang.String compressableMimeTypes

### compressionMinSize

    protected int compressionMinSize

### restrictedUserAgents

    protected java.lang.String restrictedUserAgents

  User agents regular expressions which should be restricted to HTTP/1.0 support.

### server

    protected java.lang.String server

  Server header.

### domain

    protected java.lang.String domain

### oname

    protected javax.management.ObjectName oname

### mserver

    protected javax.management.MBeanServer mserver

Constructor Detail

### Http11Protocol

    public Http11Protocol()

Method Detail

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Pass config info

  Specified by:
    `setAttribute` in interface `ProtocolHandler`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String key)

  Specified by:
    `getAttribute` in interface `ProtocolHandler`

### getAttributeNames

    public java.util.Iterator getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `ProtocolHandler`

### setProperty

    public void setProperty(java.lang.String name,
                            java.lang.String value)

  Set a property.

### getProperty

    public java.lang.String getProperty(java.lang.String name)

  Get a property

### setAdapter

    public void setAdapter(Adapter adapter)

  Description copied from interface: `ProtocolHandler`
  The adapter, used to call the connector.

  Specified by:
    `setAdapter` in interface `ProtocolHandler`

### getAdapter

    public Adapter getAdapter()

  Specified by:
    `getAdapter` in interface `ProtocolHandler`

### init

    public void init()
              throws java.lang.Exception

  Description copied from interface: `ProtocolHandler`
  Init the protocol.

  Specified by:
    `init` in interface `ProtocolHandler`
  Throws:
    `java.lang.Exception`

### start

    public void start()
               throws java.lang.Exception

  Description copied from interface: `ProtocolHandler`
  Start the protocol.

  Specified by:
    `start` in interface `ProtocolHandler`
  Throws:
    `java.lang.Exception`

### pause

    public void pause()
               throws java.lang.Exception

  Description copied from interface: `ProtocolHandler`
  Pause the protocol (optional).

  Specified by:
    `pause` in interface `ProtocolHandler`
  Throws:
    `java.lang.Exception`

### resume

    public void resume()
                throws java.lang.Exception

  Description copied from interface: `ProtocolHandler`
  Resume the protocol (optional).

  Specified by:
    `resume` in interface `ProtocolHandler`
  Throws:
    `java.lang.Exception`

### destroy

    public void destroy()
                 throws java.lang.Exception

  Specified by:
    `destroy` in interface `ProtocolHandler`
  Throws:
    `java.lang.Exception`

### getName

    public java.lang.String getName()

### getProcessorCache

    public int getProcessorCache()

### setProcessorCache

    public void setProcessorCache(int processorCache)

### getSocketBuffer

    public int getSocketBuffer()

### setSocketBuffer

    public void setSocketBuffer(int socketBuffer)

### getSecure

    public boolean getSecure()

### setSecure

    public void setSecure(boolean b)

### isSSLEnabled

    public boolean isSSLEnabled()

### setSSLEnabled

    public void setSSLEnabled(boolean SSLEnabled)

### getSocketFactory

    public java.lang.String getSocketFactory()

### setSocketFactory

    public void setSocketFactory(java.lang.String valueS)

### getSSLImplementation

    public java.lang.String getSSLImplementation()

### setSSLImplementation

    public void setSSLImplementation(java.lang.String valueS)

### getMaxKeepAliveRequests

    public int getMaxKeepAliveRequests()

### setMaxKeepAliveRequests

    public void setMaxKeepAliveRequests(int mkar)

### getKeepAliveTimeout

    public int getKeepAliveTimeout()

### setKeepAliveTimeout

    public void setKeepAliveTimeout(int timeout)

### getTimeout

    public int getTimeout()

### setTimeout

    public void setTimeout(int timeout)

### getMaxSavePostSize

    public int getMaxSavePostSize()

### setMaxSavePostSize

    public void setMaxSavePostSize(int valueI)

### getMaxHttpHeaderSize

    public int getMaxHttpHeaderSize()

### setMaxHttpHeaderSize

    public void setMaxHttpHeaderSize(int valueI)

### getDisableUploadTimeout

    public boolean getDisableUploadTimeout()

### setDisableUploadTimeout

    public void setDisableUploadTimeout(boolean isDisabled)

### getCompression

    public java.lang.String getCompression()

### setCompression

    public void setCompression(java.lang.String valueS)

### getNoCompressionUserAgents

    public java.lang.String getNoCompressionUserAgents()

### setNoCompressionUserAgents

    public void setNoCompressionUserAgents(java.lang.String valueS)

### getCompressableMimeType

    public java.lang.String getCompressableMimeType()

### setCompressableMimeType

    public void setCompressableMimeType(java.lang.String valueS)

### getCompressionMinSize

    public int getCompressionMinSize()

### setCompressionMinSize

    public void setCompressionMinSize(int valueI)

### getRestrictedUserAgents

    public java.lang.String getRestrictedUserAgents()

### setRestrictedUserAgents

    public void setRestrictedUserAgents(java.lang.String valueS)

### setServer

    public void setServer(java.lang.String server)

### getServer

    public java.lang.String getServer()

### getExecutor

    public java.util.concurrent.Executor getExecutor()

### setExecutor

    public void setExecutor(java.util.concurrent.Executor executor)

### getMaxThreads

    public int getMaxThreads()

### setMaxThreads

    public void setMaxThreads(int maxThreads)

### getThreadPriority

    public int getThreadPriority()

### setThreadPriority

    public void setThreadPriority(int threadPriority)

### getBacklog

    public int getBacklog()

### setBacklog

    public void setBacklog(int backlog)

### getPort

    public int getPort()

### setPort

    public void setPort(int port)

### getAddress

    public java.net.InetAddress getAddress()

### setAddress

    public void setAddress(java.net.InetAddress ia)

### getTcpNoDelay

    public boolean getTcpNoDelay()

### setTcpNoDelay

    public void setTcpNoDelay(boolean tcpNoDelay)

### getSoLinger

    public int getSoLinger()

### setSoLinger

    public void setSoLinger(int soLinger)

### getSoTimeout

    public int getSoTimeout()

### setSoTimeout

    public void setSoTimeout(int soTimeout)

### getKeepAlive

    public boolean getKeepAlive()

  Return the Keep-Alive policy for the connection.

### setKeepAlive

    public void setKeepAlive(boolean keepAlive)

  Set the keep-alive policy for this connection.

### getKeystore

    public java.lang.String getKeystore()

### setKeystore

    public void setKeystore(java.lang.String k)

### getKeypass

    public java.lang.String getKeypass()

### setKeypass

    public void setKeypass(java.lang.String k)

### getKeytype

    public java.lang.String getKeytype()

### setKeytype

    public void setKeytype(java.lang.String k)

### getClientauth

    public java.lang.String getClientauth()

### setClientauth

    public void setClientauth(java.lang.String k)

### getProtocols

    public java.lang.String getProtocols()

### setProtocols

    public void setProtocols(java.lang.String k)

### getAlgorithm

    public java.lang.String getAlgorithm()

### setAlgorithm

    public void setAlgorithm(java.lang.String k)

### getCiphers

    public java.lang.String getCiphers()

### setCiphers

    public void setCiphers(java.lang.String ciphers)

### getKeyAlias

    public java.lang.String getKeyAlias()

### setKeyAlias

    public void setKeyAlias(java.lang.String keyAlias)

### getObjectName

    public javax.management.ObjectName getObjectName()

### getDomain

    public java.lang.String getDomain()

### preRegister

    public javax.management.ObjectName preRegister(javax.management.MBeanServer server,
                                                   javax.management.ObjectName name)
                                            throws java.lang.Exception

  Specified by:
    `preRegister` in interface `javax.management.MBeanRegistration`
  Throws:
    `java.lang.Exception`

### postRegister

    public void postRegister(java.lang.Boolean registrationDone)

  Specified by:
    `postRegister` in interface `javax.management.MBeanRegistration`

### preDeregister

    public void preDeregister()
                       throws java.lang.Exception

  Specified by:
    `preDeregister` in interface `javax.management.MBeanRegistration`
  Throws:
    `java.lang.Exception`

### postDeregister

    public void postDeregister()

  Specified by:
    `postDeregister` in interface `javax.management.MBeanRegistration`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.